gauden_dist_t Struct Reference

Structure to store distance (density) values for a given input observation wrt density values in some given codebook. More...

`#include <ms_gauden.h>`

## Data Fields

int32 | id
| Index of codeword (gaussian density)
mfcc_t | dist
| Density value for input observation wrt above codeword; NOTE: result in logs3 domain, but var_t used for speed.

## Detailed Description

Structure to store distance (density) values for a given input observation wrt density values in some given codebook.

Definition at line 71 of file ms_gauden.h.

## Field Documentation

## dist

mfcc_t gauden_dist_t::dist

Density value for input observation wrt above codeword; NOTE: result in logs3 domain, but var_t used for speed.

Definition at line 73 of file ms_gauden.h.

## id

int32 gauden_dist_t::id

Index of codeword (gaussian density)

Definition at line 72 of file ms_gauden.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/ms_gauden.h